<div class="row">
  <div class="col-lg-12">
    <div class="ibox float-e-margins">
      <div class="ibox-title">
        <h3> <strong>Edit Vehicle Category </strong> </h3>
      </div>
      <div class="ibox-content">
        <form [formGroup]="editForm" autocomplete="off" (ngSubmit)="updateVehicleCategory()" class="form-horizontal">
          <div class="form-group">
            <label class="col-sm-2 control-label">Vehicle category <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Vehicle category" formControlName="name" maxlength="20"
                class="form-control" required maxlength="25">
              <div class="error-msg"
                *ngIf="editForm.controls['name'].invalid && (editForm.controls['name'].dirty || editForm.controls['name'].touched)">
                <div *ngIf="editForm.controls['name'].errors.required">
                  Vehicle category is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Short Description <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Short description" formControlName="short_description" maxlength="500"
                class="form-control" required maxlength="500">
              <div class="error-msg"
                *ngIf="editForm.controls['short_description'].invalid && (editForm.controls['short_description'].dirty || editForm.controls['short_description'].touched)">
                <div *ngIf="editForm.controls['short_description'].errors.required">
                  short description is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Detailed Description <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Detailed Description" formControlName="detailed_description"
                maxlength="500" class="form-control" required maxlength="500">
              <div class="error-msg"
                *ngIf="editForm.controls['detailed_description'].invalid && (editForm.controls['detailed_description'].dirty || editForm.controls['detailed_description'].touched)">
                <div *ngIf="editForm.controls['detailed_description'].errors.required">
                  Detailed description is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Prority <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Priority" formControlName="Priority" maxlength="2" class="form-control"
                required maxlength="25">
              <div class="error-msg"
                *ngIf="editForm.controls['Priority'].invalid && (editForm.controls['Priority'].dirty || editForm.controls['Priority'].touched)">
                <div *ngIf="editForm.controls['Priority'].errors.required">
                  Priority is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Fare breakdown <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Fare Breakdown" formControlName="fair_breakdown" maxlength="20"
                class="form-control" required maxlength="25">
              <div class="error-msg"
                *ngIf="editForm.controls['fair_breakdown'].invalid && (editForm.controls['fair_breakdown'].dirty || editForm.controls['fair_breakdown'].touched)">
                <div *ngIf="editForm.controls['name'].errors.required">
                  Fare breakdown is required.
                </div>
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Seat Count <i aria-hidden="true" class="mandatory">*</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Seat count" formControlName="seat_count" maxlength="2"
                class="form-control" required maxlength="25">
              <div class="error-msg"
                *ngIf="editForm.controls['seat_count'].invalid && (editForm.controls['seat_count'].dirty || editForm.controls['seat_count'].touched)">
                <div *ngIf="editForm.controls['seat_count'].errors.required">
                  Seat count is required.
                </div>
              </div>
            </div>
          </div>

          <div class="form-group">
            <label class="col-sm-2 control-label"> Vehicle Category image</label>
            <div class="col-md-10">
              <img *ngIf="imageUrl" class="vehiclemodeldata-image" [src]="imageUrl" alt="my dtc"/>
              <image-upload [extensions]="['jpeg','jpg','png']" [maxFileSize]="1048576" [max]="1"
                [buttonCaption]="'Select Image'" (removed)="onRemoved($event)"
                (uploadFinished)="imageFinishedUploading($event)" (uploadStateChanged)="onUploadStateChanged($event)">
              </image-upload>
              <span *ngIf="spandata=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label"> App icon image</label>
            <div class="col-md-10">
              <img *ngIf="imageUrl" class="vehiclemodeldata-image" [src]="iconimageUrl" alt="my dtc"/>
              <image-upload [extensions]="['jpeg','jpg','png']" [maxFileSize]="1048576" [max]="1"
                [buttonCaption]="'Select Image'" (removed)="onIconRemoved($event)"
                (uploadFinished)="imageIconFinishedUploading($event)"
                (uploadStateChanged)="onUploadStateChanged($event)">
              </image-upload>
              <span *ngIf="spandataicon=='yes'" class="clearimage">
                Remove old image before new upload.
              </span><br>
              <span class="image-format">
                Only jpeg, jpg, png formats are allowed.
              </span>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Tariffs</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Tariffs" formControlName="tariff" multiple>
                <mat-option *ngFor="let tariff of tariffRecords" [value]="tariff._id">{{ tariff.name }}</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Payment types</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Payment Types" formControlName="payment_type" multiple>
                <mat-option *ngFor="let ptype of paymentTypeData" [value]="ptype._id">{{ ptype.payment_type }}
                </mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Type</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Type" formControlName="types">
                <mat-option value='special'>Special</mat-option>
                <mat-option value='default'>Default</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Set Default</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Default" formControlName="isdefault">
                <mat-option value='false'>Not Default</mat-option>
                <mat-option value='true'>Default</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Available For</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="Default" formControlName="available_for"
                (ngModelChange)="checkbookingoptions($event)" [(ngModel)]="available_for">
                <mat-option value='0'>Book Now only</mat-option>
                <mat-option value='1'>Scheduled booking only</mat-option>
                <mat-option value='2'>Both</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Scehdule After<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Schedule After" formControlName="schedule_before" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Schedule upto<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="Schedule upto" formControlName="schedule_upto" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Max ETA for schedule only<i aria-hidden="true" class="mandatory">* minutes</i> </label>
            <div class="col-sm-10 form-input">
              <input type="text" placeholder="max eta" formControlName="eta_for_schedule_only" class="form-control"
                required pattern="[0-9]+?">
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Max no.of vehicle to dispatch<i aria-hidden="true" class="mandatory">* count</i> </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="No.of vehicles to Timeout" formControlName="vehicles_count_to_timeout"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="editForm.controls['vehicles_count_to_timeout'].invalid && (editForm.controls['vehicles_count_to_timeout'].dirty || editForm.controls['vehicles_count_to_timeout'].touched)">
              <div *ngIf="editForm.controls['vehicles_count_to_timeout'].errors.required">
                Max no.of vehicle to dispatch is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">km radius to dispatch<i aria-hidden="true" class="mandatory">* km</i> </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="Total radius to dispatch" formControlName="distance_to_timeout"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="editForm.controls['distance_to_timeout'].invalid && (editForm.controls['distance_to_timeout'].dirty || editForm.controls['distance_to_timeout'].touched)">
              <div *ngIf="editForm.controls['distance_to_timeout'].errors.required">
                km radius to dispatch is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">first vehicle fetch threshhold<i aria-hidden="true" class="mandatory">* count</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="first fetch threshhold" formControlName="min_vehicle_count"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="editForm.controls['min_vehicle_count'].invalid && (editForm.controls['min_vehicle_count'].dirty || editForm.controls['min_vehicle_count'].touched)">
              <div *ngIf="editForm.controls['min_vehicle_count'].errors.required">
                first vehicle fetch threshhold is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Single Fetch no.of vehicle limit<i aria-hidden="true" class="mandatory">* count</i>
            </label>
            <div class="col-sm-10 form-input">
              <input type="number" placeholder="Single Fetch limit " formControlName="total_vehicle_count_limit"
                class="form-control" required pattern="[0-9]+?">
            </div>
            <div class="error-msg"
              *ngIf="editForm.controls['total_vehicle_count_limit'].invalid && (editForm.controls['total_vehicle_count_limit'].dirty || editForm.controls['total_vehicle_count_limit'].touched)">
              <div *ngIf="editForm.controls['total_vehicle_count_limit'].errors.required">
                Single Fetch no.of vehicle limit is required.
              </div>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Visible in compressed menu</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="visible_short_menu">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Visible in expanded menu</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="visible_expand_menu">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Allow Destination skip</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="skip_destination">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Block Status</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="block_status">
                <mat-option value='true'>True</mat-option>
                <mat-option value='false'>False</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <label class="col-sm-2 control-label">Active status</label>
            <div class="col-sm-10  form-input">
              <mat-select class="form-control" placeholder="" formControlName="isDisabled">
                <mat-option value='true'>Disable</mat-option>
                <mat-option value='false'>Active</mat-option>
              </mat-select>
            </div>
          </div>
          <div class="form-group">
            <div class="col-sm-4 col-sm-offset-2">
              <button class="btn btn-primary" type="submit">Save changes</button>
              <button class="btn btn-white" type="button"
                [routerLink]="['/admin/fleet/vehicle-category']">Cancel</button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>